package downtown;

import VASSAL.build.module.PlayerRoster;

public class HidePlayersSideStrategy implements HideAccessStrategy {

	public boolean hasAccess(String side) {
		// Check if player trying to access is on the right side
		return side.equals(PlayerRoster.getMySide());
	}

	public String getSecret() {
		return PlayerRoster.getMySide();
	}

	public String myGetType() {
		return "PlayersSide";
	}

	public void setOption(String information) {
		new RuntimeException("HidePlayersSideStrategy does not need additional information");
	}

	public boolean hasOption() {
		return false;
	}

}
